class C {
    C(int j) {
	super();
    }
    static public void main(String[] args) {
	int i = 9;
	C a = new C(i);
	C b = new C(i);
	Object y = a.foo((234<5?"Jello":(Object)null));
	Object z = b.foo((Object)"String");
	y.toString(); // target maybe null
	z.toString(); // target is not null

    }

    Object foo(Object m) {
	return m;
    }
}
